gawk-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-2449-g7aeea6


From: Arnold Robbins
Subject: [gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-2449-g7aeea61
Date: Mon, 20 Mar 2017 15:27:50 -0400 (EDT)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".

The branch, master has been updated
       via  7aeea616b4b0272c130ac45c65e640b3482add24 (commit)
      from  efc7e96c876ccf3b83ab3249eca852a0292ff943 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=7aeea616b4b0272c130ac45c65e640b3482add24

commit 7aeea616b4b0272c130ac45c65e640b3482add24
Author: Arnold D. Robbins <address@hidden>
Date:   Mon Mar 20 21:27:32 2017 +0200

    Improvements in update-branches.sh helper script.

diff --git a/helpers/ChangeLog b/helpers/ChangeLog
index a3d6815..b08dec6 100644
--- a/helpers/ChangeLog
+++ b/helpers/ChangeLog
@@ -1,3 +1,7 @@
+2017-03-20         Andrew J. Schorr      <address@hidden>
+
+       * update-branches.sh: Robustness improvements.
+
 2017-02-23         Arnold D. Robbins     <address@hidden>
 
        * update-branches.sh: New file.
diff --git a/helpers/update-branches.sh b/helpers/update-branches.sh
index 659da8b..b08e1f1 100755
--- a/helpers/update-branches.sh
+++ b/helpers/update-branches.sh
@@ -6,14 +6,32 @@ then
        exit 1
 fi
 
-git checkout master || exit
+doit () {
+       echo "
+       Running: $@"
+       "$@" || {
+               echo "Oops: command address@hidden failed with status $?"
+               return 1
+       }
+}
+
+doit git checkout master || exit
 
 features=$(git branch -a | grep /origin/feature/ | sed 's;.*/origin/;;')
 others="porting"
 
 for i in $others $features
 do
-       (git checkout $i && git pull && git merge master && git push) || break
+       echo "
+       Updating branch $i"
+       (doit git checkout $i && doit git pull && doit git merge master && doit 
git push) || {
+               echo "
+Error encountered updating branch $i.
+Please resolve the conflict and push it manually in a separate window.
+Please hit enter when you are done so we may continue to merge into
+the other branches."
+               read x
+       }
 done
 
-git checkout master || exit
+doit git checkout master

-----------------------------------------------------------------------

Summary of changes:
 helpers/ChangeLog          |  4 ++++
 helpers/update-branches.sh | 24 +++++++++++++++++++++---
 2 files changed, 25 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
gawk



reply via email to

[Prev in Thread] Current Thread [Next in Thread]